<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="8df7194e-749b-4f10-ab31-806633ff6dc9" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/readme.md" beforeDir="false" afterPath="$PROJECT_DIR$/readme.md" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/unirio/pm/Server.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/unirio/pm/Server.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/unirio/pm/services/DBOService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/unirio/pm/services/DBOService.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="useMavenConfig" value="true" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="23Q3SfN1JijdKkxeFgRz2V4HzzN" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RunManager" selected="JUnit.CiclistaControllerTest.deveDarErroAoDeletarCiclista (1)">
    <configuration name="All in bicicletario-pm-microservico-aluguel" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="bicicletario-pm-microservico-aluguel" />
      <option name="PACKAGE_NAME" value="" />
      <option name="TEST_OBJECT" value="package" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="All in com.unirio.pm" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="com.unirio.pm" />
      <option name="PACKAGE_NAME" value="" />
      <option name="TEST_OBJECT" value="package" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CiclistaControllerTest.deveDarErroAoDeletarCiclista (1)" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="bicicletario-pm-microservico-aluguel" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.unirio.pm.controllers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.unirio.pm.controllers" />
      <option name="MAIN_CLASS_NAME" value="com.unirio.pm.controllers.CiclistaControllerTest" />
      <option name="METHOD_NAME" value="deveDarErroAoDeletarCiclista" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CiclistaControllerTest.deveDarErroAoDeletarCiclista" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="com.unirio.pm" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.unirio.pm.controllers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.unirio.pm.controllers" />
      <option name="MAIN_CLASS_NAME" value="com.unirio.pm.controllers.CiclistaControllerTest" />
      <option name="METHOD_NAME" value="deveDarErroAoDeletarCiclista" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CiclistaControllerTest.deveDeletarCiclista" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="com.unirio.pm" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.unirio.pm.controllers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.unirio.pm.controllers" />
      <option name="MAIN_CLASS_NAME" value="com.unirio.pm.controllers.CiclistaControllerTest" />
      <option name="METHOD_NAME" value="deveDeletarCiclista" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.CiclistaControllerTest.deveDarErroAoDeletarCiclista (1)" />
        <item itemvalue="JUnit.All in bicicletario-pm-microservico-aluguel" />
        <item itemvalue="JUnit.All in com.unirio.pm" />
        <item itemvalue="JUnit.CiclistaControllerTest.deveDarErroAoDeletarCiclista" />
        <item itemvalue="JUnit.CiclistaControllerTest.deveDeletarCiclista" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="8df7194e-749b-4f10-ab31-806633ff6dc9" name="Changes" comment="" />
      <created>1641652515003</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1641652515003</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
</project>